--- title: "System health request" slug: "system-health-request" tags: ["Reference"] updated: 2026-09-03T18:40:47Z published: 2026-09-03T18:40:47Z canonical: "docs.trellix.com/system-health-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # System health request Returns the overall system health status. ``` GET https://
/wsapis/v2.0.0/health/system ``` Availability This command is available on the following appliances: - Central Management System - Malware Analysis - Email Security — Server - File Protect - Network Security Required headers: ``` X-FeApi-Token: [API-Token] X-FeClient-Token: [Client-Token] ``` Optional header: `Content-Type: application/json` ### Parameters None. ### Example request ``` GET https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/health/system ``` Request headers: ``` X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx X-FeClient-Token: BigDataInc ``` ### System health response Line breaks have been added for readability. ``` HTTP/1.1 [Response Code] [Response Message] Date: [Date] {  "status": "string",  "timeStamp": "string",  "appliance": {    "model": "string",    "product": "string",    "dtiMode": "string",    "name": "string",    "domainName": "eng.fireeye.com",    "systemType": "string",    "mvxMode": "string",    "compositeVersion": "appliance n.n.n.nnnnnn #nnnnnndate hh:mm:ss x86_64 build@vta442:FireEye/nnnnn",    "edition": "edition",    "dtiEnabled": "Boolean",    "version": "appliance n.n.n.nnnnn",    "components": {      "upTime": {        "status": "status",        "upTimeDuration": "nnd nnh nnm nns",        "upTimeMilliSeconds": "int",        "name": "string"      },      "eula": {        "status": "status",        "accepted": "Boolean",        "acceptedTime": "string",        "name": "string"      },      "xxxxxLicense": {        "status": "status",        "perpetual": "string",        "name": "string",        "license": "string"      },      "temperature": {        "status": "status",        "high": "int",        "name": "string",        "currentTemp": "int",        "low": "int"      },      "fann": {        "status": "status",        "speed": "int"      },      "location": {        "status": "status",        "timezone": "xxx/UTC",        "utc_offset": "int",        "name": "string",        "geoLocation": "string"      },      "xxxxDisk": {        "status": "status",        "deviceName": "/dev/string",        "bytesTotal": "int",        "name": "string",        "bytesUsed": "int",        "fsType": "string",        "bytesAvail": "int",        "bytesFree": "int",        "percentFree": "int"      },      "raid": {        "status": "status",        "name": "string"      },      "address": {        "status": "status",        "hostName": "string",        "ipv6Enabled": "Boolean",        "domainName": ["domain-name"],        "ipv4": "addr"      },      "physicalDiskn": {        "status": "status",        "totalBytes": "int",        "name": "string",        "selfAssess": "string",        "diskStatus": "string"      },      "usb": {        "status": "status",        "mounted": "Boolean",        "name": "string"      },      "powerSupply": {        "status": "status",        "name": "string"      },      "systemSoftware": {        "status": "status",        "currentVersion": "8.3.0",        "name": "string"      }    },    "timezone": "xxx/UTC",    "serial": "string",    "customerId": "string",    "id": "string"  },  "messageType": "string",  "causeCode": "string",  "version": "version" } ``` ###### Response - Response Code—A standard HTML response code. - 200—Request successful. - 401—Request unsuccessful because the session token was invalid. - Response Message—A standard HTML response message. - OK—Request successful. - Unauthorized—Request unsuccessful because the session token was invalid. - Date—Standard HTML date format. ###### Example Line breaks have been added for readability. Network Security example: ``` {  "status": "warn",  "timeStamp": "2018/11/06 15:25:35",  "appliance": {    "model": "FireEyeNX2500",    "product": "wMPS",    "dtiMode": "2Way",    "name": "nx2500-8-9-40",    "domainName": "",    "systemType": "physical",    "mvxMode": "sensor",    "compositeVersion": "wmps wMPS (wMPS) 8.2.0.782612 #782612 2018-08-06 22:54:21 x86_64 build@vta448:FireEye/8.2.x",    "edition": "Classic",    "dtiEnabled": "true",    "version": "wMPS (wMPS) 8.2.0.782612",    "components": {      "upTime": {        "status": "ok",        "upTimeDuration": "13d 0h 15m 27s",        "upTimeMilliSeconds": "1124127744",        "name": "upTime"      },      "eula": {        "status": "ok",        "accepted": "true",        "acceptedTime": "2018/10/04 16:25:10",        "name": "eula"      },      "physicalDisksda": {        "status": "ok",        "totalBytes": "1000204886016",        "name": "physicalDisksda",        "selfAssess": "Passed",        "diskStatus": "Passed      },      "atiLicense": {        "status": "ok",        "expiresInSeconds": "28715664",        "name": "atiLicense",        "license": "ATI",        "perpetual": "no",        "expDate": "2019/10/05 00:00:00",        "expInDays": "332"      },      "varDisk": {        "status": "ok",        "deviceName": "/dev/sda8",        "bytesTotal": "33686241280",        "name": "varDisk",        "bytesUsed": "491610112",        "fsType": "ext4",        "bytesAvail": "31459872768",        "bytesFree": "33194631168",        "percentFree": "98"      },      "fan1": {        "status": "ok",        "speed": "8700"      },      "dbDisk": {        "status": "ok",        "deviceName": "/dev/sda9",        "bytesTotal": "131977056256",        "name": "dbDisk",        "bytesUsed": "6444171264",        "fsType": "ext4",        "bytesAvail": "118805225472",        "bytesFree": "125532884992",        "percentFree": "95"      },      "temperature": {        "status": "ok",        "high": "75",        "name": "temperature",        "currentTemp": "41",        "low": "5"      },      "ipsLicense": {        "status": "ok",        "expiresInSeconds": "28715664",        "name": "ipsLicense",        "license": "IPS",        "perpetual": "no",        "expDate": "2019/10/05 00:00:00",        "expInDays": "332"      },      "systemSoftware": {        "status": "warn",        "latestVersion": "8.2.1",        "currentVersion": "8.2.0",        "warning": "latest version available",        "name": "systemSoftware"      },      "location": {        "status": "ok",        "timezone": "Etc/UTC",        "utc_offset": "0",        "name": "location",        "geoLocation": "unknown"      },      "dataDisk": {        "status": "ok",        "deviceName": "/dev/sda11",        "bytesTotal": "730849366016",        "name": "dataDisk",        "bytesUsed": "200496271360",        "fsType": "ext4",        "bytesAvail": "493204267008",        "bytesFree": "530353094656",        "percentFree": "72"      },      "rootDisk": {        "status": "ok",        "deviceName": "/dev/sda4",        "bytesTotal": "4160356352",        "name": "rootDisk",        "bytesUsed": "2332192768",        "fsType": "ext4",        "bytesAvail": "1596641280",        "bytesFree": "1828163584",        "percentFree": "43"      },      "configDisk": {        "status": "ok",        "deviceName": "/dev/sda7",        "bytesTotal": "511461376",        "name": "configDisk",        "bytesUsed": "6096896",        "fsType": "ext4",        "bytesAvail": "474330112",        "bytesFree": "505364480",        "percentFree": "98"      },      "raid": {        "status": "ok",        "name": "raid"      },      "avEngineSophosLicense": {        "status": "ok",        "expiresInSeconds": "28715664",        "name": "avEngineSophosLicense",        "license": "AV_ENGINE_SOPHOS",        "perpetual": "no",        "expDate": "2019/10/05 00:00:00",        "expInDays": "332"      },      "securityContent": {        "status": "ok",        "lastUploadFailed": "false",        "name": "securityContent",        "lastUpdateTime": "2018/11/06 14:53:54",        "timestamp": "2018-11-06 21:10:00",        "version": "780.146"      },      "fireeyeApplianceLicense": {        "status": "ok",        "perpetual": "yes",        "name": "fireeyeApplianceLicense",        "license": "FIREEYE_APPLIANCE"      },      "address": {        "status": "ok",        "hostName": "nx2500-8-9-40",        "ipv6Enabled": "false",        "domainName": ["eng.fireeye.com"],        "ipv4": "10.11.113.155"      },      "usb": {        "status": "ok",        "mounted": "false",        "name": "usb"      },      "cmsConnection": {        "status": "ok",        "name": "cmsConnection",        "lastFormedAt": "2018/11/06 13:09:21",        "lastBrokenAt": "2018/11/06 13:04:40",        "lastAttemptedAt": "2018/11/06 13:09:01",        "connected": "true",        "brokenReason": "None",        "failureReason": "Missing configuration"      },     "powerSupply": {       "status": "ok",       "name": "powerSupply"      },      "fireeyeSupportLicense": {        "status": "ok",        "expiresInSeconds": "28715664",        "name": "fireeyeSupportLicense",        "license": "FIREEYE_SUPPORT",        "perpetual": "no",        "expDate": "2019/10/05 00:00:00",        "expInDays": "332"      },      "fan3": {        "status": "ok",        "speed": "8400"      },      "fan2": {        "status": "ok",        "speed": "8500"      },      "contentUpdatesLicense": {        "status": "ok",        "expiresInSeconds": "28715665",        "name": "contentUpdatesLicense",        "license": "CONTENT_UPDATES",        "perpetual": "no",        "expDate": "2019/10/05 00:00:00",        "expInDays": "332"      },      "wsapiLicense": {        "status": "ok",        "expiresInSeconds": "28715664",        "name": "wsapiLicense",        "license": "WSAPI",        "perpetual": "no",        "expDate": "2019/10/05 00:00:00",        "expInDays": "332"      }    },    "timezone": "Etc/UTC",    "serial": "AD1810AQ021",    "customerId": "90016xxxx",    "id": "C400ADA07xxx"  },  "messageType": "healthUpdate",  "causeCode": "execution",  "version": "1.0" } ``` Central Management System example: ``` {   "status": "ok",   "timeStamp": "2019/08/30 22:00:59",   "appliance": {      "product": "CMS",      "dtiMode": "2Way",      "name": "dali",      "domainName": "eng.fireeye.com",      "systemType": "physical",      "mvxMode": "",      "compositeVersion": "cms CMS (CMS) 8.7.0.870479 #870479 2019-08-28 18:41:43 x86_64 build@vta447:FireEye",      "edition": "Classic",      "dtiEnabled": "true",      "version": "CMS (CMS) 8.7.0.870479",      "components": {         "upTime": {            "status": "ok",            "upTimeDuration": "1d 2h 57m 57s",            "upTimeMilliSeconds": "97077680",            "name": "upTime"         },         "eula": {            "status": "ok",            "accepted": "true",            "acceptedTime": "2019/07/12 18:41:24",            "name": "eula"         },         "atiLicense": {            "status": "ok",            "expiresInSeconds": "27395941",            "name": "atiLicense",            "license": "ATI",            "perpetual": "no",            "expDate": "2020/07/13 00:00:00",            "expInDays": "317"         },         "varDisk": {            "status": "ok",            "deviceName": "/dev/sda8",            "bytesTotal": "33686241280",            "name": "varDisk",            "bytesUsed": "2278776832",            "fsType": "ext4",            "bytesAvail": "29672706048",            "bytesFree": "31407464448",            "percentFree": "93"         },         "fireeyeSupportLicense": {            "status": "ok",            "expiresInSeconds": "27395941",            "name": "fireeyeSupportLicense",            "license": "FIREEYE_SUPPORT",            "perpetual": "no",            "expDate": "2020/07/13 00:00:00",            "expInDays": "317"         },         "dbDisk": {            "status": "ok",            "deviceName": "/dev/sda9",            "bytesTotal": "3096215502848",            "name": "dbDisk",            "bytesUsed": "14837161984",            "fsType": "ext4",            "bytesAvail": "2924075167744",            "bytesFree": "3081378340864",            "percentFree": "99"         },         "temperature": {            "status": "ok",            "high": "80",            "name": "temperature",            "currentTemp": "21",            "low": "0"         },         "systemSoftware": {            "status": "ok",            "currentVersion": "8.7.0",            "name": "systemSoftware"         },         "location": {            "status": "ok",            "timezone": "Etc/UTC",            "utc_offset": "0",            "name": "location",            "geoLocation": "unknown"         },         "dataDisk": {            "status": "ok",            "deviceName": "/dev/sda11",            "bytesTotal": "4693939073024",            "name": "dataDisk",            "bytesUsed": "165065793536",            "fsType": "ext4",            "bytesAvail": "4292287692800",            "bytesFree": "4528873279488",            "percentFree": "96"         },         "rootDisk": {            "status": "ok",            "deviceName": "/dev/sda4",            "bytesTotal": "4160356352",            "name": "rootDisk",            "bytesUsed": "1923219456",            "fsType": "ext4",            "bytesAvail": "2005614592",            "bytesFree": "2237136896",            "percentFree": "53"         },         "configDisk": {            "status": "ok",            "deviceName": "/dev/sda7",            "bytesTotal": "511461376",            "name": "configDisk",            "bytesUsed": "6738944",            "fsType": "ext4",            "bytesAvail": "473688064",            "bytesFree": "504722432",            "percentFree": "98"         },         "raid": {            "status": "ok",            "name": "raid"         },         "fireeyeApplianceLicense": {            "status": "ok",            "perpetual": "yes",            "name": "fireeyeApplianceLicense",            "license": "FIREEYE_APPLIANCE"         },         "address": {            "status": "ok",            "ipv4": "172.17.56.46",            "hostName": "dali",            "ipv6Enabled": "false",            "domainName": [               "eng.fireeye.com"            ]         },         "physicalDisk1": {            "status": "ok",            "totalBytes": "4000023301849",            "name": "physicalDisk1",            "selfAssess": "Passed",            "diskStatus": "Online"         },         "physicalDisk0": {            "status": "ok",            "totalBytes": "4000023301849",            "name": "physicalDisk0",            "selfAssess": "Passed",            "diskStatus": "Online"         },         "physicalDisk3": {            "status": "ok",            "totalBytes": "4000023301849",            "name": "physicalDisk3",            "selfAssess": "Passed",            "diskStatus": "Online"         },         "physicalDisk2": {            "status": "ok",            "totalBytes": "4000023301849",            "name": "physicalDisk2",            "selfAssess": "Passed",            "diskStatus": "Online"         },         "usb": {            "status": "ok",            "mounted": "false",            "name": "usb"         },         "powerSupply": {            "status": "ok",            "name": "powerSupply"         },         "fan1": {            "status": "ok",            "speed": "3800"         },         "fan3": {            "status": "ok",            "speed": "3700"         },         "fan2": {            "status": "ok",            "speed": "3500"         },         "fan5": {            "status": "ok",            "speed": "3500"         },         "fan4": {            "status": "ok",            "speed": "3900"         },         "contentUpdatesLicense": {            "status": "ok",            "expiresInSeconds": "27395941",            "name": "contentUpdatesLicense",            "license": "CONTENT_UPDATES",            "perpetual": "no",            "expDate": "2020/07/13 00:00:00",            "expInDays": "317"         }      },      "id": "AC1F6B19DEA8",      "timezone": "Etc/UTC",      "model": "FireEyeCM4500",      "customerId": "900162500",      "serial": "FM1743QA008"   },   "messageType": "healthUpdate",   "causeCode": "execution",   "version": "1.0" } ``` ### cURL code sample: system health The following code sample can be copied and executed from any command-line interface that includes the cURL library. This sample builds on the authentication cURL code sample. ### Note In this sample, line breaks are added for readability. Remove these line breaks before you paste the code sample into your command-line tool. `curl -qgsSkH --no-progress-bar --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/health/system` This cURL sample includes the following: - `-q`—This option specifies that the `curlrc` config file is not read or used. Although this is an optional setting, Trellix recommends that you include this option. - `-g`—This option turns off the URL globbing parser. Although this is an optional setting, Trellix recommends that you include this option. - `-s`—This option turns off the progress meter and error message. Although this is an optional setting, Trellix recommends that you include this option. - `-S`—When used with the `-s` option, this option shows error messages if your cURL switch fails. Although this is an optional setting, Trellix recommends that you include this option. - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate. - `-H`—This option allows you to specify a custom header with the `--header` switch. - `--no-progress-bar`—This option suppresses the cURL download progress bar, which can interfere with the request. - `--header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This custom header returns the API token that was provided during the authentication request. In the authentication cURL code sample, this token was included in the `auth.txt` file. Replace the token in the sample with the token value received in the response to your authentication request. ### Note By default, the X-FeApi-Token times out after 15 minutes of inactivity. - `https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/health/system`—The system health request URL. Replace the IP address `xxx.xxx.xxx.xxx` with the IP address of your appliance. ###### Results This example returns a detailed report of the current system health. :